%define  unsigned 1
%if %{unsigned}
%define dev 1
%endif

Name:           bootfw
Version:        q3a48
Release:        1%{?dev:.unsigned}
Summary:        boot firmware for the XO

Group:          System Environment/Base
License:        MIT/BSD+condition
URL:            http://wiki.laptop.org/go/Firmware
%if %{unsigned}
Source0:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom
Source1:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom.sha1
%else
Source0:        http://dev.laptop.org/pub/firmware/%{version}/bootfw.zip
Source1:        http://dev.laptop.org/pub/firmware/%{version}/bootfw-%{version}.zip.sha1
%endif
# comes from http://openbios.org/viewvc/README?view=markup&root=OpenFirmware
Source2:        README.openfirmware
Source3:        olpc.fth
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Open Firmware for the OLPC XO
%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE2} .
sha1sum -c %{SOURCE1}
%if %{unsigned}
cp -p %{SOURCE0} data.img
zip -n .img bootfw.zip data.img
%endif


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/
install -m 0644 bootfw.zip $RPM_BUILD_ROOT/boot/bootfw.zip
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/boot/olpc.fth

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.openfirmware
/boot/bootfw.zip
/boot/olpc.fth

%changelog
* Tue Aug 03 2010 Mitch Bradley <wmb@laptop.org>
- Fixed ADATA problems with read/write_single instead of delays

* Thu Jul 29 2010 James Cameron <quozl@laptop.org>
- further increase write delay for ADATA 8G MicroSD to support CL1C production

* Thu Jul 22 2010 James Cameron <quozl@laptop.org>
- increase write delay for ADATA 8G MicroSD to support CL1C production

* Mon Jul 19 2010 James Cameron <quozl@laptop.org>
- secure NANDblaster for XO-1.5 for CL1C RAMP

* Fri Jul 16 2010 James Cameron <quozl@laptop.org>
- support RAMP prebuild for CL1C

* Wed Jul 14 2010 Richard Smith <richard@laptop.org>
- EC 1.9.30 ALPS support; Nandblaster support

* Sun Jun 27 2010 Mitch Bradley <wmb@laptop.org>
- For CL1C prebuild

* Mon Jun 14 2010 Richard Smith <richard@laptop.org>
- EC 1.9.29 CL1-C keyboard support 

* Mon May 8 2010 Richard Smith <richard@laptop.org>
- EC 1.9.28; 

* Mon May 3 2010 Richard Smith <richard@laptop.org>
- Quick heatspreader test for quanta mfg tests

* Thu Apr 29 2010 Paul Fox <pgf@laptop.org>
- ec code 1.9.27
- fix for delegated signature handling
- uppercase all serial numbers

* Wed Apr 14 2010 Richard Smith <richard@laptop.org>
- New EC code 1.9.26

* Wed Mar 10 2010 Mitch Bradley <wmb@laptop.org>
- Fix for recently-introduced critical fs-update bug

* Mon Mar 08 2010 Richard Smith <richard@laptop.org>
- New EC bits - Many OFW fixes - visual mfg test directions  

* Sat Jan 30 2010 Mitch Bradley <wmb@laptop.org>
- Fix mfg scanner and usb net issue

* Fri Jan 29 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build third stage - multiple nandblaster channels

* Wed Jan 27 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build second stage - fs-update memory leak fix

* Tue Jan 26 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build second stage

* Sat Jan 23 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build - fix USB device reinsertion detection

* Sat Jan 23 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build - minor selftest fixes

* Fri Jan 22 2010 Mitch Bradley <wmb@laptop.org>
- For ramp build

* Tue Jan 5 2010 Richard Smith <richard@laptop.org> 
- New EC code with lid switch fix.

* Wed Dec 16 2009 Mitch Bradley <wmb@laptop.org>
- More mfg test flow fixes

* Mon Dec 14 2009 Richard Smith <richard@laptop.org>
- Audio driver fixes 

* Sun Dec 13 2009 Richard Smith <richard@laptop.org>
- Update EC code. Mfg test flow fixes 

* Fri Dec 11 2009 Paul Fox <pgf@laptop.org>
- q3a22 Fix booting issues.  q3a21 withdrawn.

* Fri Dec 11 2009 Paul Fox <pgf@laptop.org>
- q3a21 Support run-in tests

* Tue Dec 09 2009 Mitch Bradley <wmb@laptop.org>
- q3a20 Revised version for C1 SMT build

* Tue Dec 08 2009 Mitch Bradley <wmb@laptop.org>
- q3a19 Version for C1 SMT build

* Wed Dec 03 2009 Mitch Bradley <wmb@laptop.org>
- q3a18 Fixed bug in a17 that affects auto-firmware-update

* Wed Dec 02 2009 Mitch Bradley <wmb@laptop.org>
- q3a17 Stabilization release preparing for C-test build

* Sat Nov 14 2009 Mitch Bradley <wmb@laptop.org>
- q3a16 Support fo B3, 32bpp frame buffer, etc.

* Fri Oct 30 2009 Mitch Bradley <wmb@laptop.org>
- q3a15 Lots of fixes all over the place.  Happy Halloween!

* Fri Oct 23 2009 Mitch Bradley <wmb@laptop.org>
- q3a14 Restore display state in early resume path

* Mon Oct 12 2009 Mitch Bradley <wmb@laptop.org>
- q3a13 Fixed register init bug found in early testing of q3a12

* Fri Oct 09 2009 Mitch Bradley <wmb@laptop.org>
- q3a12 Lots of bug fixes for B2 systems

* Wed Sep 10 2009 Mitch Bradley <wmb@laptop.org>
- q3a11 Prepare for B2 build - numerous tweaks

* Tue Aug 25 2009 Richard Smith <richard@laptop.org>
- q3a10 gamekey fixes, new mfg test menu, C4 enabled.
 
* Fri Aug 21 2009 Mitch Bradley <wmb@laptop.org>
- q3a09 Support for B1 boards plus several new features

* Sat Aug 08 2009 Mitch Bradley <wmb@laptop.org>
- q3a08 PegasusII USB LAN adapter support, selftest for camera, sdmmc, hdaudio

* Thu Aug 05 2009 Richard Smith <richard@laptop.org>
- q3a07 

* Fri Jul 24 2009 Mitch Bradley <wmb@laptop.org>
- q3a06 Working suspend/resume and lots of other stuff enabled

* Fri Jun 26 2009 Mitch Bradley <wmb@laptop.org>
- q3a04 first formal firmware release for XO 1.5 A1 systems
